---
triple:          'arm64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_aarch64_mac_Nightly/build/macosx-aarch64-server-release/support/test/hotspot/jtreg/native/lib/libji01t001.dylib'
relocations:
  - { offsetInCU: 0x6C3, offset: 0x6C3, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x502D8, symBinAddr: 0xC320, symSize: 0x0 }
  - { offsetInCU: 0x6EA, offset: 0x6EA, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x52218, symBinAddr: 0xE260, symSize: 0x0 }
  - { offsetInCU: 0x70C, offset: 0x70C, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x52600, symBinAddr: 0xE648, symSize: 0x0 }
  - { offsetInCU: 0x72E, offset: 0x72E, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x535A0, symBinAddr: 0xF5E8, symSize: 0x0 }
  - { offsetInCU: 0x743, offset: 0x743, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x535A8, symBinAddr: 0xF5F0, symSize: 0x0 }
  - { offsetInCU: 0x7BE, offset: 0x7BE, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x4FE00, symBinAddr: 0xC098, symSize: 0x0 }
  - { offsetInCU: 0x7C9, offset: 0x7C9, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x4FE04, symBinAddr: 0xC09C, symSize: 0x0 }
  - { offsetInCU: 0x7D4, offset: 0x7D4, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x4FE08, symBinAddr: 0xC0A0, symSize: 0x0 }
  - { offsetInCU: 0x819, offset: 0x819, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x4FF58, symBinAddr: 0xC0A8, symSize: 0x0 }
  - { offsetInCU: 0x892, offset: 0x892, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x50010, symBinAddr: 0xC160, symSize: 0x0 }
  - { offsetInCU: 0x8B0, offset: 0x8B0, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x50014, symBinAddr: 0xC164, symSize: 0x0 }
  - { offsetInCU: 0x8C9, offset: 0x8C9, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x50018, symBinAddr: 0xC168, symSize: 0x0 }
  - { offsetInCU: 0x8E2, offset: 0x8E2, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x5001C, symBinAddr: 0xC16C, symSize: 0x0 }
  - { offsetInCU: 0x8FB, offset: 0x8FB, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x50020, symBinAddr: 0xC170, symSize: 0x0 }
  - { offsetInCU: 0x8EC1, offset: 0x8EC1, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x50028, symBinAddr: 0xC178, symSize: 0x0 }
  - { offsetInCU: 0x8F4A, offset: 0x8F4A, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x50040, symBinAddr: 0xC188, symSize: 0x0 }
  - { offsetInCU: 0x8F63, offset: 0x8F63, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x50048, symBinAddr: 0xC190, symSize: 0x0 }
  - { offsetInCU: 0x8F7C, offset: 0x8F7C, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x50050, symBinAddr: 0xC198, symSize: 0x0 }
  - { offsetInCU: 0x8F95, offset: 0x8F95, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x50058, symBinAddr: 0xC1A0, symSize: 0x0 }
  - { offsetInCU: 0x8FAF, offset: 0x8FAF, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x50060, symBinAddr: 0xC1A8, symSize: 0x0 }
  - { offsetInCU: 0x9095, offset: 0x9095, size: 0x8, addend: 0x0, symName: __ZL5jvmti, symObjAddr: 0x500A8, symBinAddr: 0xC1B0, symSize: 0x0 }
  - { offsetInCU: 0x90AE, offset: 0x90AE, size: 0x8, addend: 0x0, symName: __ZL10testThread, symObjAddr: 0x500B0, symBinAddr: 0xC1B8, symSize: 0x0 }
  - { offsetInCU: 0x90C7, offset: 0x90C7, size: 0x8, addend: 0x0, symName: __ZL9fnd_calls, symObjAddr: 0x500B8, symBinAddr: 0xC1C0, symSize: 0x0 }
  - { offsetInCU: 0x90E0, offset: 0x90E0, size: 0x8, addend: 0x0, symName: __ZL18orig_jni_functions, symObjAddr: 0x500C0, symBinAddr: 0xC1C8, symSize: 0x0 }
  - { offsetInCU: 0x90F9, offset: 0x90F9, size: 0x8, addend: 0x0, symName: __ZL19redir_jni_functions, symObjAddr: 0x50248, symBinAddr: 0xC318, symSize: 0x0 }
  - { offsetInCU: 0x9112, offset: 0x9112, size: 0x8, addend: 0x0, symName: __ZL9callbacks, symObjAddr: 0x500C8, symBinAddr: 0xC1D0, symSize: 0x0 }
  - { offsetInCU: 0x912B, offset: 0x912B, size: 0x8, addend: 0x0, symName: __ZL6result, symObjAddr: 0x50200, symBinAddr: 0xC308, symSize: 0x0 }
  - { offsetInCU: 0x914B, offset: 0x914B, size: 0x8, addend: 0x0, symName: __ZL9eventLock, symObjAddr: 0x50208, symBinAddr: 0xC310, symSize: 0x0 }
  - { offsetInCU: 0x919D, offset: 0x919D, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x358, symBinAddr: 0x29AC, symSize: 0xA0 }
  - { offsetInCU: 0x9232, offset: 0x9232, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x330, symBinAddr: 0x2984, symSize: 0x28 }
  - { offsetInCU: 0x9295, offset: 0x9295, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x29C, symBinAddr: 0x2904, symSize: 0x80 }
  - { offsetInCU: 0x9529, offset: 0x9529, size: 0x8, addend: 0x0, symName: _nsk_complain, symObjAddr: 0x3F8, symBinAddr: 0x2A4C, symSize: 0x34 }
  - { offsetInCU: 0x9583, offset: 0x9583, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x42C, symBinAddr: 0x2A80, symSize: 0x20C }
  - { offsetInCU: 0x973C, offset: 0x973C, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x638, symBinAddr: 0x2C8C, symSize: 0x28 }
  - { offsetInCU: 0x9805, offset: 0x9805, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x674, symBinAddr: 0x2CB4, symSize: 0xB0 }
  - { offsetInCU: 0x98FC, offset: 0x98FC, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0x7DC, symBinAddr: 0x2D64, symSize: 0xD8 }
  - { offsetInCU: 0x9A4D, offset: 0x9A4D, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x11F8, symBinAddr: 0x2E3C, symSize: 0x24 }
  - { offsetInCU: 0x9A7C, offset: 0x9A7C, size: 0x8, addend: 0x0, symName: __Z14TranslatePhase10jvmtiPhase, symObjAddr: 0x121C, symBinAddr: 0x2E60, symSize: 0x28 }
  - { offsetInCU: 0x9B2D, offset: 0x9B2D, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x16E4, symBinAddr: 0x2E88, symSize: 0x168 }
  - { offsetInCU: 0x9D09, offset: 0x9D09, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x184C, symBinAddr: 0x2FF0, symSize: 0x104 }
  - { offsetInCU: 0x9FBA, offset: 0x9FBA, size: 0x8, addend: 0x0, symName: _nsk_jvmti_parseOptions, symObjAddr: 0x1C2C, symBinAddr: 0x30F4, symSize: 0x3F8 }
  - { offsetInCU: 0xA1DE, offset: 0xA1DE, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x22EC, symBinAddr: 0x34EC, symSize: 0x154 }
  - { offsetInCU: 0xA3C2, offset: 0xA3C2, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2440, symBinAddr: 0x3640, symSize: 0xAC }
  - { offsetInCU: 0xA497, offset: 0xA497, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x278C, symBinAddr: 0x36EC, symSize: 0x14 }
  - { offsetInCU: 0xA4D0, offset: 0xA4D0, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x27A0, symBinAddr: 0x3700, symSize: 0x14 }
  - { offsetInCU: 0xA509, offset: 0xA509, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x27B4, symBinAddr: 0x3714, symSize: 0x14 }
  - { offsetInCU: 0xA6A6, offset: 0xA6A6, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x2F18, symBinAddr: 0x3728, symSize: 0x1A8 }
  - { offsetInCU: 0xA9BA, offset: 0xA9BA, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3694, symBinAddr: 0x38D0, symSize: 0x9C }
  - { offsetInCU: 0xAA77, offset: 0xAA77, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3730, symBinAddr: 0x396C, symSize: 0x690 }
  - { offsetInCU: 0xB609, offset: 0xB609, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0xA404, symBinAddr: 0x5CA4, symSize: 0x30 }
  - { offsetInCU: 0xB695, offset: 0xB695, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x3DC0, symBinAddr: 0x3FFC, symSize: 0x74 }
  - { offsetInCU: 0xB725, offset: 0xB725, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x4AF0, symBinAddr: 0x4070, symSize: 0xB0 }
  - { offsetInCU: 0xB830, offset: 0xB830, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x576C, symBinAddr: 0x4120, symSize: 0x3C }
  - { offsetInCU: 0xB926, offset: 0xB926, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x57A8, symBinAddr: 0x415C, symSize: 0x29C }
  - { offsetInCU: 0xBC69, offset: 0xBC69, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x5A44, symBinAddr: 0x43F8, symSize: 0xD0 }
  - { offsetInCU: 0xBD97, offset: 0xBD97, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x5B14, symBinAddr: 0x44C8, symSize: 0xC }
  - { offsetInCU: 0xBE59, offset: 0xBE59, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x5B20, symBinAddr: 0x44D4, symSize: 0x22C }
  - { offsetInCU: 0xC114, offset: 0xC114, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x8CC8, symBinAddr: 0x4700, symSize: 0x4 }
  - { offsetInCU: 0xC158, offset: 0xC158, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x8CC8, symBinAddr: 0x4700, symSize: 0x4 }
  - { offsetInCU: 0xC171, offset: 0xC171, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x8CCC, symBinAddr: 0x4704, symSize: 0x4C0 }
  - { offsetInCU: 0xC791, offset: 0xC791, size: 0x8, addend: 0x0, symName: __ZL10doRedirectP9_jvmtiEnv10jvmtiPhase, symObjAddr: 0x983C, symBinAddr: 0x50DC, symSize: 0x3C4 }
  - { offsetInCU: 0xCAFE, offset: 0xCAFE, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x918C, symBinAddr: 0x4BC4, symSize: 0x4 }
  - { offsetInCU: 0xCB42, offset: 0xCB42, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x918C, symBinAddr: 0x4BC4, symSize: 0x4 }
  - { offsetInCU: 0xCBD1, offset: 0xCBD1, size: 0x8, addend: 0x0, symName: _MyFindClass, symObjAddr: 0x9328, symBinAddr: 0x4BC8, symSize: 0x11C }
  - { offsetInCU: 0xCD4E, offset: 0xCD4E, size: 0x8, addend: 0x0, symName: _VMInit, symObjAddr: 0x9444, symBinAddr: 0x4CE4, symSize: 0x3F8 }
  - { offsetInCU: 0xD204, offset: 0xD204, size: 0x8, addend: 0x0, symName: __ZL9checkCallP7JNIEnv_iPKcS2_i, symObjAddr: 0x9C00, symBinAddr: 0x54A0, symSize: 0x258 }
  - { offsetInCU: 0xD4CE, offset: 0xD4CE, size: 0x8, addend: 0x0, symName: __ZL9doRestoreP9_jvmtiEnv, symObjAddr: 0x9E58, symBinAddr: 0x56F8, symSize: 0xF4 }
  - { offsetInCU: 0xD636, offset: 0xD636, size: 0x8, addend: 0x0, symName: _VMDeath, symObjAddr: 0x9F4C, symBinAddr: 0x57EC, symSize: 0x4A0 }
  - { offsetInCU: 0xDB84, offset: 0xDB84, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_scenarios_jni_1interception_JI01_ji01t001_check, symObjAddr: 0xA3EC, symBinAddr: 0x5C8C, symSize: 0x18 }
  - { offsetInCU: 0xDBBE, offset: 0xDBBE, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xA434, symBinAddr: 0x5CD4, symSize: 0x358 }
...
